GETListWitnesses

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/listwitnesses

List all Super Representatives (Confirmed state)

Query Parameters
visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
addressstring

Super Representative (SR) address.

voteCountinteger (int64)

Total number of votes received.

urlstring

URL of the Super Representative's (SR) official website.

totalProducedinteger (int64)

Total number of blocks produced by the SR.

totalMissedinteger (int64)

Total number of blocks missed by the SR.

latestBlockNuminteger (int64)

Latest block number (height).

latestSlotNuminteger (int64)

Latest slot number.

isJobsboolean

Whether the SR is eligible to produce blocks.

X-API-KEY
RequestCU50
cURL
curl -X GET "https://tron-mainnet.nodit.io/walletsolidity/listwitnesses?visible=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "address": "string",
  "voteCount": 0,
  "url": "string",
  "totalProduced": 0,
  "totalMissed": 0,
  "latestBlockNum": 0,
  "latestSlotNum": 0,
  "isJobs": true
}